mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.TripleDES System.Runtime.InteropServices.ComVisible(true)

This algorithm supports key lengths from 128 bits to 192 bits in increments of 64 bits.

A newer symmetric encryption algorithm, Advanced Encryption Standard (AES), is available. Consider using the class instead of the class. Use only for compatibility with legacy applications and data.

Defines a wrapper object to access the cryptographic service provider (CSP) version of the algorithm. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` ``

  This method decrypts an encrypted message created using the overload with the same parameters.

  Creates a symmetric decryptor object with the specified key () and initialization vector ().

  A symmetric decryptor object.

  The secret key to use for the symmetric algorithm. The initialization vector to use for the symmetric algorithm.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.ICryptoTransform `` ``

  Use the overload with the same parameters to decrypt the result of this method.

  Creates a symmetric encryptor object with the specified key () and initialization vector ().

  A symmetric encryptor object.

  The secret key to use for the symmetric algorithm. The initialization vector to use for the symmetric algorithm.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to generate a random initialization vector when none is specified.

  Generates a random initialization vector () to use for the algorithm.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Use this method to generate a random key when none is specified. This method will never return a weak key (see ).

  This algorithm supports key lengths from 128 bits to 192 bits in increments of 64 bits.

  Generates a random to be used for the algorithm.